http_post_fields
http_put_file
HTTP Functions
PHP Manual

# http_put_data

Perform PUT request with data

### Description

string http_put_data ( string `$url` , string `$data` [, array `$options` [, array `&$info` ]] )

Performs an HTTP PUT request on the supplied url.

See the full list of request options.

### Parameters

`url`

  URL

`data`

  PUT request body

`options`

  request options

`info`

  Request/response information

### Return Values

Returns the HTTP response(s) as string on success, or `FALSE` on failure.